<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.*,java.io.PrintWriter" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>
<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> <%
	} 
%>
<%@ include file="/m05bIdioma.inc"%>
	
	<HTML>

<head>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
<%
String matricula=request.getParameter("Matricula");
      if (matricula==null || matricula.equals("NULL")){
          matricula="";

      }
%>
	
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Fechas.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Horas.js"></script>
	
  <title><%= resTit.getString("titVehItvs")%></title>
		<SCRIPT language="JavaScript">
		function fncNuevo() {
		       		formITV.action="m05bRevisionesJsp.jsp?Codigo=&Mensaje=false&Matricula=<%=matricula%>"+ "&Habilitar="+parent.document.formVehiculos.Habilitar.value;;
		       		formITV.submit();
			}
		function fncModificar(codigo) {
		            formITV.action="m05bGenerarRevisionesServlet?Matricula=<%=matricula%>&Codigo=" + codigo + "&Mensaje=false"+ "&Habilitar="+parent.document.formVehiculos.Habilitar.value;;
		            formITV.submit();
		    }
		</SCRIPT>
</head>
<BODY  style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
<% int contador=0;%>	
<script>
	 var urlIdioma;
	 urlIdioma = "<%=m05bConstantesPaginas.VEH_GESTION_ITV%>?Matricula=<%=matricula%>";
	 var urlCambioVentana;
	 urlCambioVentana = "<%=m05bConstantesPaginas.VEH_GESTION_ITV%>";	 
</script>			
		
<%@include file="m05bVehiculosFijo.inc"%>
			
<FORM NAME="formITV" METHOD="POST">
		<%
		StringBuffer sql = new StringBuffer();
		StringBuffer sql2 = new StringBuffer();
		String FInspec="";
		String Estado="";
		String Resultado="";
		String FReparacion="";
		String Anomalia="";
		String FProxInspec="";
		String Codigo="";

		sql.append("SELECT ").append(m05bConstantes.COL_27_FINSPEC).append(",");
		sql.append(m05bConstantes.COL_27_CODIGO).append(",");
		sql.append(m05bConstantes.COL_27_ESTADO).append(",").append(m05bConstantes.COL_27_FPRXINSPEC);
		sql.append(",").append(m05bConstantes.COL_27_ANOMALIA).append(",");
		sql.append(m05bConstantes.COL_27_RESULTADO).append(",").append(m05bConstantes.COL_27_FREPINSP);
		sql.append(" FROM ").append(m05bConstantes.TAB_ITV);
		sql.append(" WHERE ").append(m05bConstantes.COL_27_MATRICULA);
		sql.append("='").append(matricula).append("'");
		sql.append(" ORDER BY ").append(m05bConstantes.COL_27_FINSPEC);
        PreparedStatement  pstmtPendiente = null;
        ResultSet rsPendiente = null;
    try{
        conexion = miConexion.getConnection();
        conexion.setAutoCommit(false);  // Al final si todo ha ido bien se hace commit

		%>
    <% if ((!(situacion.equals("B"))) && (sExisteMatricula.equals("1")) ) {%>
       	  <TABLE class="general">
	        <tr>
	          <!--td align="right"> <INPUT TYPE="IMAGE" style="cursor:hand" VALUE="Nuevo" ONCLICK="JavaScript:fncNuevo();"  src="/parquemovil/images/nuevo.gif"/> </td-->
             <td align="right"><input type="button" class="boton" name="<%= res.getString("etBOT_NUEVO")%>" value="<%= res.getString("etBOT_NUEVO")%>" ONCLICK="JavaScript:fncNuevo();" onMouseOver="top.status='<%= res.getString("etBOT_STATUSNUEVO")%>'; return false" onMouseOut="top.status=''; return false" /></td>				      					  	          
	     	</tr>
          </TABLE>
        <%}%>
	  <TABLE class="general">
		    <tr>
		      <td align="left" class="inputFieldTitle"><%= res.getString("etCodigo")%></td>
		      <td align="left" class="inputFieldTitle"><%= res.getString("etFInspeccion")%></td>
		      <td align="left" class="inputFieldTitle"><%= res.getString("etFechaProxRevision")%></td>
		      <td align="left" class="inputFieldTitle"><%= res.getString("etFRepeticion")%></td>
		      <td align="left" class="inputFieldTitle"><%= res.getString("etEstado")%></td>
		      <td align="left" class="inputFieldTitle"><%= res.getString("etResultado")%></td>
		      <td align="left" class="inputFieldTitle"><%= res.getString("etAnomalia")%></td>
		    </tr>
		    <%
		           if (!matricula.equals("")){
				           //m05bbBeginSelect(sql.toString());
				           //m05bRS = m05bPStmt.executeQuery();
                   pstmt2 = conexion.prepareStatement(sql.toString());
		           rs2 = pstmt2.executeQuery();
				           
				           while (rs2.next() == true){  
				           	   contador=contador +1;
				               Codigo=rs2.getString(m05bConstantes.COL_27_CODIGO);
				               FInspec=rs2.getString(m05bConstantes.COL_27_FINSPEC);
				               Estado=rs2.getString(m05bConstantes.COL_27_ESTADO);
				               if (Estado == null)
				               	   Estado="";
				               Resultado=rs2.getString(m05bConstantes.COL_27_RESULTADO);
				               if (Resultado == null)
				               	   Resultado="";
				               FReparacion=rs2.getString(m05bConstantes.COL_27_FREPINSP);
				               Anomalia=rs2.getString(m05bConstantes.COL_27_ANOMALIA);
				               if (Anomalia==null)
				                  Anomalia="";
				               if (FInspec==null || FInspec.equals(""))
				                   FInspec="";
				               else
				                   FInspec=comun.Mes(FInspec,campoTexto3);
				               FProxInspec=rs2.getString(m05bConstantes.COL_27_FPRXINSPEC);
				               if (FReparacion==null || FReparacion.equals(""))
				                   FReparacion="";
				               else
				                   FReparacion=comun.Mes(FReparacion,campoTexto3);

				               if (FProxInspec==null || FProxInspec.equals(""))
				                   FProxInspec="";
				               else
				                   FProxInspec=comun.Mes(FProxInspec,campoTexto3);
				           %>
				    <tr>
				      <td align="left" class="inputFieldTitleBlank"><A href="JavaScript:fncModificar('<%=Codigo%>')"><%=Codigo%></A></td>
				      <td align="left" class="inputFieldTitleBlank"><%=FInspec%></td>
				      <td align="left" class="inputFieldTitleBlank"><%=FProxInspec%></td>
				      <td align="left" class="inputFieldTitleBlank"><%=FReparacion%></td>
				      <td align="left" class="inputFieldTitleBlank"><%=Estado%></td>
				      <td align="left" class="inputFieldTitleBlank"><%=Resultado%></td>
				      <td align="left" class="inputFieldTitleBlank"><%=Anomalia%></td>
				    </tr>
		           <%}
		    }
		  } catch (Exception SQLException){
			  m05bClasses.m05bFileLog miLog = new m05bClasses.m05bFileLog();
		   		miLog.addTraza(SQLException);
		  } finally {   
		  	//m05bEndSelect();
				if (rs2 != null)
					rs2.close();
				if (pstmt2 != null)
					pstmt2.close();
				if (rsPendiente != null)
					rsPendiente.close();
				if (pstmtPendiente != null)
					pstmtPendiente.close();
				
				if (conexion != null)
					conexion.close();
		  	
		  }
		    %>

		  </TABLE>
		    	<TABLE class="general">
				<tr> </tr>
				<tr align="center">
					<td class="inputField" colspan="7"><%= res.getString("etTotal")%><%=contador%></td>
			 	</tr>
				<tr> </tr>
		    	
			  </TABLE>
</FORM>
 </td>
</tr>
<tr>
	<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%></td>
</tr>
</table>
<SCRIPT language='javascript'>
    setTimeout('initSlide();', 1);
</SCRIPT>
<SCRIPT>
   var tabItv=document.getElementById("tabItv");
   
   tabItv.style.backgroundColor="#000078";
</SCRIPT>
</BODY>
</HTML>